# Makefile generated by imake - do not edit!
# $TOG: imake.c /main/104 1998/03/24 12:45:15 kaleb $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $TOG: Imake.tmpl /main/249 1997/10/13 15:28:56 kaleb $
#

all::

.SUFFIXES: .i

# $TOG: Imake.cf /main/30 1998/04/28 13:55:25 barstow $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $TOG: linux.cf /main/47 1998/04/17 11:32:51 mgreess $

# operating system:  Linux 2.4.21 #2 Sat Jun 21 12:50:37 MDT 2003 i686 (2.4.21)

# $XConsortium: lnxLib.rules /main/12 1996/01/03 14:51:18 kaleb $

# XF86... Interesting.

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# MAG 9/7/99 Build xprint

# XiG JET 3/29/2001 - We like Xinerama.  It makes us go.

# XiG MAG 9/7/99 - Define below
# #define XprtServer		0

# XiG JET 3/26/2002, we don't want to install this.

# JET 9/18/99 - define this if you want certain 'shareables' to be
#     installed into /usr/X11R6/share/ with appropriate symlinks
#     (eg: /usr/X11R6/include).  Disabled as of 9/18/99.
#  #define XiGDoShareDir 1

# XiG M.A.G. 9/2/1999 Added defines for Xprint

# JET - 6/6/2002 - need this in order to build the inew font systems.

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $TOG: Imake.rules /main/227 1998/02/02 12:07:57 kaleb $

 _NULLCMD_ = @ echo -n

          PATHSEP = /
            SHELL = /bin/sh

              TOP = ../../..
      CURRENT_DIR = clients/audio/widgets

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdir -p
    EXPORTLISTGEN =
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5
       MISCMANDIR = $(MANSOURCEPATH)$(MISCMANSUFFIX)

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cc

              CXX = g++ -fno-for-scope
          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS = -O3 -mpentium -mieee-fp -fbuiltin
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -Di386 -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -D_XOPEN_SOURCE -D__NO_STRING_INLINES -DX_LOCALE -DX_INTL -D__NO_MATH_INLINES $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES) $(DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = /lib/cpp $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
    MISCMANSUFFIX = 7

            TROFF = psroff
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional -$$ -P -Dlinux -Di386 -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -D_XOPEN_SOURCE -D__NO_STRING_INLINES -DX_LOCALE -DX_INTL -D__NO_MATH_INLINES $(PROJECT_DEFINES)
      STD_DEFINES = -Dlinux -Di386 -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -D_XOPEN_SOURCE -D__NO_STRING_INLINES -DX_LOCALE -DX_INTL -D__NO_MATH_INLINES $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS = -Wl,-rpath,/usr/dt/lib:$(USRLIBDIR)
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF = -DLINUXSHLIB

     SHLIBLDFLAGS = -shared $(EXTRA_LOAD_FLAGS)

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -s -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -s -m 4711

      PROJECTROOT = /usr/X11R6

      CDEBUGFLAGS = -O3 -mpentium -mieee-fp -fbuiltin
        CCOPTIONS = -pipe

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			 $(EXTRA_ICONFIGFILES)

# $TOG: cde.rules /main/4 1998/02/06 10:53:52 kaleb $

# $TOG: Motif.rules /main/8 1999/03/22 15:12:48 mgreess $

# $TOG: X11.rules /main/4 1997/04/30 15:23:24 kaleb $

# $XConsortium: cde.tmpl /main/2 1996/12/04 10:13:09 swick $

# $TOG: Motif.tmpl /main/5 1998/02/06 10:53:46 kaleb $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $TOG: X11.tmpl /main/308 1998/06/16 15:14:24 msr $
# $XiGId: X11.tmpl,v 1.4 2002/06/11 18:56:53 jon Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

             XTOP = $(XPROJECTROOT)
           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)/exports
      BUILDINCDIR = $(BUILDINCROOT)/include
      BUILDINCTOP = ../..
      BUILDLIBDIR = $(TOP)/exports/lib
      BUILDLIBTOP = ../..
      BUILDBINDIR = $(TOP)/exports/bin
      BUILDBINTOP = ../..
   BUILDCONFIGDIR = $(TOP)/exports/config
   BUILDCONFIGTOP = ../..
    XBUILDINCROOT = $(XTOP)/exports
     XBUILDINCDIR = $(XBUILDINCROOT)/include/X11
     XBUILDINCTOP = ../../..
     XBUILDBINDIR = $(XBUILDINCROOT)/bin
  XBUILDCONFIGDIR = $(XBUILDINCROOT)/config
           INCDIR = $(INCROOT)
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
   TOP_X_INCLUDES = -I$(XPROJECTROOT)/include

           VARDIR = /var/X11

          FONTDIR = $(LIBDIR)/fonts
     ENCODINGSDIR = $(FONTDIR)/encodings
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      LBXPROXYDIR = $(LIBDIR)/lbxproxy
  PROXYMANAGERDIR = $(LIBDIR)/proxymngr
        XPRINTDIR = $(LIBDIR)/xserver
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = $(BINDIR)/rgb
            FONTC = $(BINDIR)/bdftopcf
        MKFONTDIR = $(BINDIR)/mkfontdir
          FCCACHE = $(BINDIR)/fc-cache
          UCS2ANY = $(BINDIR)/ucs2any.pl
      BDFTRUNCATE = $(BINDIR)/bdftruncate.pl
     UCSMAPPREFIX = $(FONTDIR)/util/map-
          FCCACHE = set -x; $(CLIENTENVSETUP) $(PRELOADXFTSETUP) FONTCONFIG_PATH=$(FONTCONFIGLIBSRC) $(XBUILDBINDIR)/fc-cache

       DOCUTILSRC = $(XTOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(XTOP)/lib
          FONTSRC = $(XTOP)/fonts
       INCLUDESRC = $(BUILDINCROOT)/include
      XINCLUDESRC = $(INCLUDESRC)/X11
        SERVERSRC = $(XTOP)/programs/Xserver
       CONTRIBSRC = $(XTOP)/../contrib
   UNSUPPORTEDSRC = $(XTOP)/unsupported
           DOCSRC = $(XTOP)/doc
           RGBSRC = $(XTOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(XTOP)/include/fonts
        EXTINCSRC = $(XTOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

     XPROJECTROOT = /usr/X11R6

       XENVLIBDIR = $(USRLIBDIR)
   CLIENTENVSETUP = XLOCALEDIR=$(XBUILDINCROOT)/lib/locale LD_LIBRARY_PATH=$(DTENVLIBDIR):$(OGLENVLIBDIR):$(MOTIFENVLIBDIR):$(XENVLIBDIR)

# $TOG: lnxLib.tmpl /main/7 1998/03/20 14:26:41 mgreess $

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 6.2
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

SOXEXTREV = 6.4
DEPEXTENSIONLIB =
EXTENSIONLIB =  -lXext

LINTEXTENSION = $(LINTLIBDIR)/llib-lXext.ln

LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 6.0
DEPXMULIB =
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

DEPOLDXLIB = $(USRLIBDIR)/liboldX.a
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

         XPLIBSRC = $(LIBSRC)/Xp

SOXPREV = 6.2
DEPXPLIB =
XPLIB =  -lXp

LINTXP = $(LINTLIBDIR)/llib-lXp.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 6.0
DEPXTOOLONLYLIB =
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       XALIBSRC = $(LIBSRC)/Xa

SOXAREV = 1.0
DEPXALIB =
XALIB =  -lXa

LINTXA = $(LINTLIBDIR)/llib-lXa.ln

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 6.1
DEPXAWLIB =
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

         XILIBSRC = $(LIBSRC)/Xi

SOXINPUTREV = 6.0
DEPXILIB =
XILIB =  -lXi

LINTXI = $(LINTLIBDIR)/llib-lXi.ln

      XTESTLIBSRC = $(LIBSRC)/Xtst

SOXTESTREV = 6.1
DEPXTESTLIB =
XTESTLIB =  -lXtst

LINTXTEST = $(LINTLIBDIR)/llib-lXtst.ln

        PEXLIBSRC = $(LIBSRC)/PEX5

SOPEXREV = 6.0
DEPPEXLIB =
PEXLIB =  -lPEX5

LINTPEX = $(LINTLIBDIR)/llib-lPEX5.ln

        XIELIBSRC = $(LIBSRC)/XIE

SOXIEREV = 6.0
DEPXIELIB =
XIELIB =  -lXIE

LINTXIE = $(LINTLIBDIR)/llib-lXIE.ln

      PHIGSLIBSRC = $(LIBSRC)/PHIGS

DEPPHIGSLIB = $(USRLIBDIR)/libphigs.a
PHIGSLIB =  -lphigs

LINTPHIGS = $(LINTLIBDIR)/llib-lphigs.ln

DEPXBSDLIB = $(USRLIBDIR)/libXbsd.a
XBSDLIB =  -lXbsd

LINTXBSD = $(LINTLIBDIR)/llib-lXbsd.ln

           ICESRC = $(LIBSRC)/ICE

SOICEREV = 6.3
DEPICELIB =
ICELIB =  -lICE

LINTICE = $(LINTLIBDIR)/llib-lICE.ln

            SMSRC = $(LIBSRC)/SM

SOSMREV = 6.0
DEPSMLIB =
SMLIB =  -lSM

LINTSM = $(LINTLIBDIR)/llib-lSM.ln

           XKEYSRC = $(LIBSRC)/Xkey

SOXKEYREV = 6.0
DEPXKEYLIB =
XKEYLIB =  -lXkey

LINTXKEY = $(LINTLIBDIR)/llib-lXkey.ln

         FSLIBSRC = $(LIBSRC)/FS

DEPFSLIB = $(USRLIBDIR)/libFS.a
FSLIB =  -lFS

LINTFS = $(LINTLIBDIR)/llib-lFS.ln

         FONTLIBSRC = $(LIBSRC)/font

DEPFONTLIB = $(USRLIBDIR)/libXfont.a
FONTLIB =  -lXfont

LINTFONT = $(LINTLIBDIR)/llib-lXfont.ln

    XKBFILELIBSRC = $(LIBSRC)/xkbfile

DEPXKBFILELIB = $(USRLIBDIR)/libxkbfile.a
XKBFILELIB =  -lxkbfile

LINTXKBFILE = $(LINTLIBDIR)/llib-lxkbfile.ln

     XKBCOMPCMD = $(BINDIR)/xkbcomp

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)
         DEPLIBS4 = $(DEPLIBS)
         DEPLIBS5 = $(DEPLIBS)
         DEPLIBS6 = $(DEPLIBS)
         DEPLIBS7 = $(DEPLIBS)
         DEPLIBS8 = $(DEPLIBS)
         DEPLIBS9 = $(DEPLIBS)
         DEPLIBS10 = $(DEPLIBS)

    XINERAMALIBSRC = $(LIBSRC)/Xinerama

DEPXINERAMALIB = $(USRLIBDIR)/libXinerama.a
XINERAMALIB =  -lXinerama

LINTXINERAMA = $(LINTLIBDIR)/llib-lXinerama.ln

              MTOP = $(MPROJECTROOT)
TOP_MOTIF_INCLUDES = -I$(MINCLUDESRC)

      UIL_INCLUDES = -I$(USRINCDIR)/uil

    MOTIFENVLIBDIR = $(USRLIBDIR)

      USRINCDIR = /usr/X11R6/include
         UIDDIR = $(LIBDIR)/uid
        TESTSRC = $(MTOP)/tests
        TESTLIB = $(TESTSRC)/lib
  GENERALSRCLIB = $(TESTSRC)/General/lib
  GENERALSRCBIN = $(TESTSRC)/General/bin
   MANUALSRCLIB = $(TESTSRC)/Manual/lib
   MANUALSRCBIN = $(TESTSRC)/Manual/bin
     AUTOSRCLIB = $(TESTSRC)/Auto/lib
     AUTOSRCBIN = $(TESTSRC)/Auto/bin
       COMMONPP = $(GENERALSRCBIN)/Commonpp
         GENRUN = $(GENERALSRCBIN)/Genrun
         MANRUN = $(GENERALSRCBIN)/Manrun

     TESTCOMSRC = $(MANUALSRCLIB)/Common

    BUILDDOCDIR = $(BUILDINCROOT)/doc
    BUILDLOCDIR = $(BUILDINCROOT)/localized

    MTOOLKITSRC = $(TOOLKITSRC)

    MINCLUDESRC = $(MTOP)/include
        MDOCSRC = $(MTOP)/doc
        MLOCSRC = $(MTOP)/localized

        MLIBSRC = $(MTOP)/lib
     MCLIENTSRC = $(MTOP)/clients
       MDEMOSRC = $(MTOP)/demos
     MWIDGETSRC = $(MLIBSRC)/Xm
   MRESOURCESRC = $(MLIBSRC)/Mrm
         UILSRC = $(MCLIENTSRC)/uil

   MPROJECTROOT = /usr/X11R6

            UIL = uil
         DEPUIL = $(BINDIR)/uil

   XMEXTRA_LIBS =

SOXMREV = 2.1
DEPXMLIB =
XMLIB =  -lXm

LINTXM = $(LINTLIBDIR)/llib-lXm.ln

SOMRMREV = 2.1
DEPMRESOURCELIB =
MRESOURCELIB =  -lMrm

LINTMRESOURCE = $(LINTLIBDIR)/llib-lMrm.ln

SOUILREV = 2.1
DEPUILLIB =
UILLIB =  -lUil

LINTUIL = $(LINTLIBDIR)/llib-lUil.ln

SOMCOMMONREV = 2.1
DEPTESTCOMLIB =
TESTCOMLIB =  -lMCommon

LINTTESTCOM = $(LINTLIBDIR)/llib-lMCommon.ln

TESTUILCOMLIB = $(TESTCOMSRC)/libMCommonUil.a

  LINTMRESOURCE = $(MRESOURCESRC)/libMrm.a
LINTXMWIDGETLIB = $(MWIDGETSRC)/llib-l/Xm.ln
     LINTXMTOOL = $(MTOOLKITSRC)/llib-lXt.ln
     LINTUILLIB = $(UILSRC)/llib-lUil.ln

      YACCFLAGS =
       UILFLAGS =
    GENCATFLAGS =
         GENCAT = xgencat $(GENCATFLAGS)
      MKCATTOOL = $(CLIENTENVSETUP) $(MLOCSRC)/util/mkcatdefs

         RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut  *.Dat

        DEPLIBS = $(DEPXMLIB) $(DEPXTOOLLIB) $(DEPXPLIB) $(DEPXLIB)

        DEPLIBS1 = $(DEPLIBS)
        DEPLIBS2 = $(DEPLIBS)
        DEPLIBS3 = $(DEPLIBS)

           OTOP = $(OPROJECTROOT)
        OLIBSRC = $(OTOP)/lib
       GLLIBSRC = $(OLIBSRC)/GL
      GLULIBSRC = $(OLIBSRC)/GLU
      GLWLIBSRC = $(OLIBSRC)/GLw

   OGLENVLIBDIR = OBuildLibPath

   OPROJECTROOT = /usr/X11R6

SOGLREV = 1.1
DEPGLLIB =
GLLIB =  -lGL

LINTGL = $(LINTLIBDIR)/llib-lGL.ln

SOGLUREV = 1.1
DEPGLULIB =
GLULIB =  -lGLU

LINTGLU = $(LINTLIBDIR)/llib-lGLU.ln

SOGLWREV = 1.1
DEPGLWLIB =
GLWLIB =  -lGLw

LINTGLW = $(LINTLIBDIR)/llib-lGLw.ln

        DEPLIBS = $(DEPGLLIB) $(DEPXLIB)

        DEPLIBS1 = $(DEPLIBS)
        DEPLIBS2 = $(DEPLIBS)
        DEPLIBS3 = $(DEPLIBS)

           CDETOP = $(CDEPROJECTROOT)

    CDEINCLUDESRC = $(CDETOP)/include

 TOP_CDE_INCLUDES = -I$(CDEINCLUDESRC)
        CDELIBSRC = $(CDETOP)/lib
           PAMSRC = $(CDELIBSRC)/pam/libpam
            TTSRC = $(CDELIBSRC)/tt
         DTSVCSRC = $(CDELIBSRC)/DtSvc
      DTSEARCHSRC = $(CDELIBSRC)/DtSearch
      DTWIDGETSRC = $(CDELIBSRC)/DtWidget
        DTHELPSRC = $(CDELIBSRC)/DtHelp
       DTPRINTSRC = $(CDELIBSRC)/DtPrint
        DTTERMSRC = $(CDELIBSRC)/DtTerm
         DTMRMSRC = $(CDELIBSRC)/DtMrm
        DTMMDBSRC = $(CDELIBSRC)/DtMmdb
           CSASRC = $(CDELIBSRC)/csa
           CDESRC = $(CDETOP)/programs

      DTENVLIBDIR = $(CDEPROJECTROOT)/lib

   CDEPROJECTROOT = /usr/dt

 CDE_INSTALLATION_TOP = /usr/dt
CDE_CONFIGURATION_TOP = /etc/dt
     CDE_LOGFILES_TOP = /var/dt
         CDE_USER_TOP = .dt

        DTCODEGEN = dtcodegen
    HELPPARSERSRC = $(CDESRC)/dthelp/parser
          HELPTAG = $(BINDIR)/dthelptag
  HELPTAGPASS1DEF = $(BINDIR)/dthelp_htag1
  HELPTAGPASS2DEF = $(BINDIR)/dthelp_htag2
        DTDOCBOOK = dtdocbook
 DTDOCBOOKOPTIONS =

        NSGMLSSRC = $(CDESRC)/nsgmls

     DTINFOGENSRC = $(CDESRC)/dtinfo/dtinfogen
        DTINFOGEN = dtinfogen
  DTINFOGENTMPDIR = $(TOP)/doc/tmp

 ARCHITECTURE_DEFINES = -DLINUX_ARCHITECTURE

SOPAMREV = 2.1
DEPPAMLIB =
PAMLIB =  -lpam

LINTPAM = $(LINTLIBDIR)/llib-lpam.ln

SOTTREV = 2.1
DEPTTLIB =
TTLIB =  -ltt

LINTTT = $(LINTLIBDIR)/llib-ltt.ln

SODTSVCREV = 2.1
DEPDTSVCLIB =
DTSVCLIB =  -lDtSvc

LINTDTSVC = $(LINTLIBDIR)/llib-lDtSvc.ln

SODTSEARCHREV = 2.1
DEPDTSEARCHLIB =
DTSEARCHLIB =  -lDtSearch

LINTDTSEARCH = $(LINTLIBDIR)/llib-lDtSearch.ln

SODTWIDGETREV = 2.1
DEPDTWIDGETLIB =
DTWIDGETLIB =  -lDtWidget

LINTDTWIDGET = $(LINTLIBDIR)/llib-lDtWidget.ln

SODTHELPREV = 2.1
DEPDTHELPLIB =
DTHELPLIB =  -lDtHelp

LINTDTHELP = $(LINTLIBDIR)/llib-lDtHelp.ln

SODTPRINTREV = 2.1
DEPDTPRINTLIB =
DTPRINTLIB =  -lDtPrint

LINTDTPRINT = $(LINTLIBDIR)/llib-lDtPrint.ln

SODTTERMREV = 2.1
DEPDTTERMLIB =
DTTERMLIB =  -lDtTerm

LINTDTTERM = $(LINTLIBDIR)/llib-lDtTerm.ln

SODTMRMREV = 2.1
DEPDTMRMLIB =
DTMRMLIB =  -lDtMrm

LINTDTMRM = $(LINTLIBDIR)/llib-lDtMrm.ln

SODTMMDBREV = 2.1
DEPDTMMDBLIB =
DTMMDBLIB =  -lDtMmdb

LINTDTMMDB = $(LINTLIBDIR)/llib-lDtMmdb.ln

DEPDTCMLIB = $(USRLIBDIR)/libDtCm.a
DTCMLIB =  -lDtCm

LINTDTCM = $(LINTLIBDIR)/llib-lDtCm.ln

SOCSAREV = 2.1
DEPCSALIB =
CSALIB =  -lcsa

LINTCSA = $(LINTLIBDIR)/llib-lcsa.ln

XMULIBONLY = -lXmu
XMULIB = $(XMULIBONLY) $(XTOOLLIB) $(XLIB)

        CONFIGDIR = $(LIBDIR)/config

    USRLIBDIRPATH = $(USRLIBDIR):$(CDEPROJECTROOT)/lib
        LDPRELIBS = -L$(USRLIBDIR) -L$(CDEPROJECTROOT)/lib
       LDPOSTLIBS =  -L$(CDEPROJECTROOT)/lib
     TOP_INCLUDES = -I$(INCROOT) $(TOP_CDE_INCLUDES) $(TOP_MOTIF_INCLUDES) $(TOP_X_INCLUDES)
  PROJECT_DEFINES =    -DMULTIBYTE -DNLS16 -DOSMAJORVERSION=2 -DOSMINORVERSION=4

CXXPROJECT_DEFINES =    -DMULTIBYTE -DNLS16 -DOSMAJORVERSION=2 -DOSMINORVERSION=4

# ----------------------------------------------------------------------
# start of Imakefile

         AUSRC = $(TOP)/lib/audio
    SOAUDIOREV = 2.3

 LOCAL_LDFLAGS =
      DEPAULIB = $(AUSRC)/libaudio.a
         AULIB =  $(DEPAULIB)

  AUDIODEPLIBS = $(DEPAULIB) $(DEPXTOOLLIB) $(DEPXLIB)

     AUDIOLIBS = $(AULIB) $(XTOOLLIB) $(XLIB) -lm

  BUILDINCROOT = $(TOP)/include
   BUILDINCDIR = $(BUILDINCROOT)
   BUILDINCTOP = ..
EXTRA_INCLUDES = -I$(BUILDINCROOT)
    INCLUDESRC = $(TOP)/include
        INCDIR = $(INCROOT)/audio
    WIDGET_DIR = $(TOP)/clients/audio/widgets
    WIDGET_LIB = $(WIDGET_DIR)/libwidgets.a
    WIDGET_INC = -I$(WIDGET_DIR)

SRCS = Slider.c
OBJS = Slider.o

all:: libwidgets.a

libwidgets.a: $(OBJS) $(EXTRALIBRARYDEPS)
	$(RM) $@
	$(AR) $@ $(OBJS)
	$(RANLIB) $@
	$(_NULLCMD_)

depend::
	$(DEPEND) $(DEPENDFLAGS) -- $(ALLDEFINES) $(DEPEND_DEFINES) -- $(SRCS)

FILES = $(SRCS) Slider.h SliderP.h
  DIR = widgets

# ----------------------------------------------------------------------
# common rules for all Makefiles - do not edit

.c.i:
	$(RM) $@
	 $(CC) -E $(CFLAGS) $(_NOOP_) $*.c > $@

emptyrule::

clean::
	$(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut  "#"*

Makefile::
	-@if [ -f Makefile ]; then set -x; \
	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak; \
	else exit 0; fi
	$(IMAKE_CMD) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

man_keywords::

# ----------------------------------------------------------------------
# empty rules for directories that do not have SUBDIRS - do not edit

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

Makefiles::

includes::

depend::

# ----------------------------------------------------------------------
# dependencies generated by makedepend

# DO NOT DELETE

Slider.o: /usr/X11R6/include/X11/IntrinsicP.h
Slider.o: /usr/X11R6/include/X11/Intrinsic.h /usr/X11R6/include/X11/Xlib.h
Slider.o: /usr/include/sys/types.h /usr/include/features.h
Slider.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
Slider.o: /usr/include/bits/types.h /usr/include/time.h /usr/include/endian.h
Slider.o: /usr/include/bits/endian.h /usr/include/sys/select.h
Slider.o: /usr/include/bits/select.h /usr/include/bits/sigset.h
Slider.o: /usr/include/sys/sysmacros.h /usr/X11R6/include/X11/X.h
Slider.o: /usr/X11R6/include/X11/Xfuncproto.h
Slider.o: /usr/X11R6/include/X11/Xosdefs.h /usr/X11R6/include/X11/Xutil.h
Slider.o: /usr/X11R6/include/X11/Xresource.h /usr/include/string.h
Slider.o: /usr/X11R6/include/X11/Core.h /usr/X11R6/include/X11/Composite.h
Slider.o: /usr/X11R6/include/X11/Constraint.h /usr/X11R6/include/X11/Object.h
Slider.o: /usr/X11R6/include/X11/RectObj.h /usr/X11R6/include/X11/CoreP.h
Slider.o: /usr/X11R6/include/X11/CompositeP.h
Slider.o: /usr/X11R6/include/X11/ConstrainP.h
Slider.o: /usr/X11R6/include/X11/ObjectP.h /usr/X11R6/include/X11/RectObjP.h
Slider.o: /usr/X11R6/include/X11/StringDefs.h
Slider.o: /usr/X11R6/include/X11/Xaw/Label.h
Slider.o: /usr/X11R6/include/X11/Xaw/Simple.h
Slider.o: /usr/X11R6/include/X11/Xmu/Converters.h
Slider.o: /usr/X11R6/include/X11/Xaw/Scrollbar.h SliderP.h
Slider.o: /usr/X11R6/include/X11/Xaw/FormP.h
Slider.o: /usr/X11R6/include/X11/Xaw/Form.h Slider.h
